--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'operational',
    'error',
    'remove'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: license_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE license_type AS ENUM (
    'rhsm',
    'rhn'
);


ALTER TYPE public.license_type OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: net_segment_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_segment_type AS ENUM (
    'none',
    'vlan',
    'gre'
);


ALTER TYPE public.net_segment_type OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'floating',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: plugin_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE plugin_type AS ENUM (
    'nailgun',
    'fuel'
);


ALTER TYPE public.plugin_type OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'not_available',
    'downloading',
    'error',
    'available'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'install_plugin',
    'update_plugin',
    'delete_plugin',
    'redhat_setup',
    'redhat_check_credentials',
    'redhat_check_licenses',
    'redhat_download_release',
    'redhat_update_cobbler_profile',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: allowed_networks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE allowed_networks (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.allowed_networks OWNER TO nailgun;

--
-- Name: allowed_networks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE allowed_networks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.allowed_networks_id_seq OWNER TO nailgun;

--
-- Name: allowed_networks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE allowed_networks_id_seq OWNED BY allowed_networks.id;


--
-- Name: allowed_networks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('allowed_networks_id_seq', 39, true);


--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 3, true);


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 9, true);


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    net_l23_provider net_l23_provider NOT NULL,
    net_segment_type net_segment_type NOT NULL,
    net_manager cluster_net_manager NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    dns_nameservers text,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 3, true);


--
-- Name: global_parameters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE global_parameters (
    id integer NOT NULL,
    parameters text
);


ALTER TABLE public.global_parameters OWNER TO nailgun;

--
-- Name: global_parameters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE global_parameters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.global_parameters_id_seq OWNER TO nailgun;

--
-- Name: global_parameters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE global_parameters_id_seq OWNED BY global_parameters.id;


--
-- Name: global_parameters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('global_parameters_id_seq', 1, true);


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 14, true);


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 18, true);


--
-- Name: net_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_assignments OWNER TO nailgun;

--
-- Name: net_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.net_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_assignments_id_seq OWNED BY net_assignments.id;


--
-- Name: net_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_assignments_id_seq', 16, true);


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    cluster_id integer,
    network_size integer,
    amount integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    netmask character varying(25) NOT NULL
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 14, true);


--
-- Name: networks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networks (
    id integer NOT NULL,
    release integer,
    name character varying(100) NOT NULL,
    vlan_id integer,
    network_group_id integer,
    cidr character varying(25) NOT NULL,
    gateway character varying(25)
);


ALTER TABLE public.networks OWNER TO nailgun;

--
-- Name: networks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.networks_id_seq OWNER TO nailgun;

--
-- Name: networks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networks_id_seq OWNED BY networks.id;


--
-- Name: networks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networks_id_seq', 14, true);


--
-- Name: neutron_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_configs (
    id integer NOT NULL,
    cluster_id integer,
    parameters text,
    "L2" text,
    "L3" text,
    predefined_networks text,
    segmentation_type segmentation_type NOT NULL
);


ALTER TABLE public.neutron_configs OWNER TO nailgun;

--
-- Name: neutron_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE neutron_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.neutron_configs_id_seq OWNER TO nailgun;

--
-- Name: neutron_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE neutron_configs_id_seq OWNED BY neutron_configs.id;


--
-- Name: neutron_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('neutron_configs_id_seq', 1, true);


--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 4, true);


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying(17) NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25),
    state character varying(25)
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 12, true);


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 3, true);


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying(17) NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 4, true);


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 7, true);


--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 3, true);


--
-- Name: plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugins (
    id integer NOT NULL,
    type plugin_type NOT NULL,
    name character varying(128) NOT NULL,
    state character varying(128) NOT NULL,
    version character varying(128) NOT NULL
);


ALTER TABLE public.plugins OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.plugins_id_seq OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugins_id_seq OWNED BY plugins.id;


--
-- Name: plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugins_id_seq', 1, false);


--
-- Name: red_hat_accounts; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE red_hat_accounts (
    id integer NOT NULL,
    username character varying(100) NOT NULL,
    password character varying(100) NOT NULL,
    license_type license_type NOT NULL,
    satellite character varying(250),
    activation_key character varying(300)
);


ALTER TABLE public.red_hat_accounts OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE red_hat_accounts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.red_hat_accounts_id_seq OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE red_hat_accounts_id_seq OWNED BY red_hat_accounts.id;


--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('red_hat_accounts_id_seq', 1, false);


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 3, true);


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 17, true);


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 17, true);


--
-- Name: vlan; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE vlan (
    id integer NOT NULL
);


ALTER TABLE public.vlan OWNER TO nailgun;

--
-- Name: vlan_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE vlan_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vlan_id_seq OWNER TO nailgun;

--
-- Name: vlan_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE vlan_id_seq OWNED BY vlan.id;


--
-- Name: vlan_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('vlan_id_seq', 1, false);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks ALTER COLUMN id SET DEFAULT nextval('allowed_networks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY global_parameters ALTER COLUMN id SET DEFAULT nextval('global_parameters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments ALTER COLUMN id SET DEFAULT nextval('net_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networks ALTER COLUMN id SET DEFAULT nextval('networks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_configs ALTER COLUMN id SET DEFAULT nextval('neutron_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugins ALTER COLUMN id SET DEFAULT nextval('plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY red_hat_accounts ALTER COLUMN id SET DEFAULT nextval('red_hat_accounts_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY vlan ALTER COLUMN id SET DEFAULT nextval('vlan_id_seq'::regclass);


--
-- Data for Name: allowed_networks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY allowed_networks (id, network_id, interface_id) FROM stdin;
17	7	4
18	8	4
19	9	4
20	7	5
21	8	5
22	9	5
23	1	6
24	10	7
25	11	7
26	12	7
27	13	7
28	14	7
29	10	8
30	11	8
31	12	8
32	13	8
33	14	8
34	1	9
35	10	9
36	11	9
37	12	9
38	13	9
39	14	9
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
2	2	{"access": {"password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "udp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}}, "additional_components": {"murano": {"value": true, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "savanna": {"value": false, "type": "checkbox", "description": "If selected, Savanna component will be installed", "weight": 10, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"value": "2", "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "weight": 70, "label": "Ceph object replication factor"}, "volumes_lvm": {"value": true, "type": "checkbox", "description": "Requires at least one Cinder node", "weight": 10, "label": "Cinder LVM over iSCSI for volumes"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 30, "label": "Ceph RBD for images"}, "volumes_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 20, "label": "Ceph RBD for volumes"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "weight": 40, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "vlan_splinters": {"value": false, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "weight": 45, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "7PLt0kei"}, "keystone": {"admin_password": "HLnyMnPI"}, "database": {"passwd": "4HCEU872"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "EAF2y3MN", "user_password": "BnDid4Wn", "metering_secret": "ZiYVAiH0"}, "heat": {"db_password": "OqdTjrsI", "rabbit_user": "MbrIY8el", "rabbit_password": "V0InuNgN"}, "nova": {"db_password": "NB3U8m16", "user_password": "eEc9jlm9", "state_path": "/var/lib/nova"}, "murano": {"db_password": "RCVXIkKr"}, "keystone": {"db_password": "ATh7lk1v", "admin_token": "Y9WJ742j"}, "rabbit": {"password": "NBgRhVcF"}, "mysql": {"root_password": "7ml9FNbx"}, "cinder": {"db_password": "zDqesMxo", "user_password": "2bvpe8IW"}, "glance": {"db_password": "ttfrkW4W", "user_password": "sraDmkRF"}, "cobbler": {"profile": "centos-x86_64"}, "swift": {"user_password": "wHh1IlkZ"}, "savanna": {"db_password": "W5W2qVPe"}}
3	3	{"access": {"password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "udp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}}, "additional_components": {"murano": {"value": true, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "savanna": {"value": false, "type": "checkbox", "description": "If selected, Savanna component will be installed", "weight": 10, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"value": "2", "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "weight": 70, "label": "Ceph object replication factor"}, "volumes_lvm": {"value": true, "type": "checkbox", "description": "Requires at least one Cinder node", "weight": 10, "label": "Cinder LVM over iSCSI for volumes"}, "images_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 30, "label": "Ceph RBD for images"}, "volumes_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 20, "label": "Ceph RBD for volumes"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "weight": 40, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 80, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 70, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "vlan_splinters": {"value": false, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "weight": 45, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "xb24ITuR"}, "keystone": {"admin_password": "HxeOQWmx"}, "database": {"passwd": "iMdd08Iz"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "BTmQF6sj", "user_password": "RWcI8XmY", "metering_secret": "swfNMr5b"}, "murano": {"db_password": "PAThw5NK"}, "nova": {"db_password": "BqYG08MH", "user_password": "NvIZQLsr", "state_path": "/var/lib/nova"}, "heat": {"db_password": "pg5kKWUI", "rabbit_user": "zsNvKWSY", "rabbit_password": "4RRj8cLz"}, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "rabbit": {"password": "h4v4lFnV"}, "mysql": {"root_password": "HmhhURre"}, "keystone": {"db_password": "ccncvW5I", "admin_token": "d92G3cvI"}, "glance": {"db_password": "e5FLajnz", "user_password": "1yoVs1FJ"}, "cinder": {"db_password": "a4qqGwDf", "user_password": "q4u1Jt3U"}, "swift": {"user_password": "YLlKtlAu"}, "savanna": {"db_password": "1vbD9w2E"}}
\.


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
4	2	\N	attributes
5	2	\N	networks
6	3	\N	attributes
7	3	\N	networks
8	2	2	disks
9	3	3	disks
\.


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, net_l23_provider, net_segment_type, net_manager, grouping, name, release_id, dns_nameservers, replaced_deployment_info, replaced_provisioning_info, is_customized) FROM stdin;
2	multinode	deployment	neutron	ovs	gre	FlatDHCPManager	roles	centos	1	["8.8.8.8", "8.8.4.4"]	{}	{}	f
3	multinode	deployment	nova_network	ovs	vlan	FlatDHCPManager	roles	ubuntu	3	["8.8.8.8", "8.8.4.4"]	{}	{}	f
\.


--
-- Data for Name: global_parameters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY global_parameters (id, parameters) FROM stdin;
1	{"net_exclude": "10.20.0.0/24", "vlan_range": [100, 1000]}
\.


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.20.0.3	10.20.0.127
2	\N	172.16.0.128	172.16.0.254
3	\N	172.16.0.2	172.16.0.127
4	\N	192.168.0.2	192.168.0.254
5	\N	192.168.1.2	192.168.1.254
6	\N	10.0.0.2	10.0.255.254
7	7	172.16.0.2	172.16.0.126
8	8	192.168.0.2	192.168.0.254
9	9	192.168.1.2	192.168.1.254
10	10	172.16.0.128	172.16.0.254
11	11	172.16.0.2	172.16.0.127
12	12	192.168.0.2	192.168.0.254
13	13	192.168.1.2	192.168.1.254
14	14	10.0.0.2	10.0.255.254
\.


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
7	1	2	10.20.0.3
8	1	2	10.20.0.4
9	1	2	10.20.0.5
10	8	2	192.168.0.2
11	7	2	172.16.0.2
12	9	2	192.168.1.2
13	1	3	10.20.0.6
14	1	3	10.20.0.7
15	1	3	10.20.0.8
16	12	3	192.168.0.3
17	11	3	172.16.0.3
18	13	3	192.168.1.3
\.


--
-- Data for Name: net_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_assignments (id, network_id, interface_id) FROM stdin;
7	7	4
8	8	4
9	9	4
10	1	6
11	10	7
12	11	7
13	12	7
14	13	7
15	14	7
16	1	9
\.


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, cluster_id, network_size, amount, vlan_start, cidr, gateway, netmask) FROM stdin;
1	fuelweb_admin	\N	\N	256	1	\N	10.20.0.0/24	\N	255.255.255.0
7	public	1	2	256	1	\N	172.16.0.0/24	172.16.0.1	255.255.255.0
8	management	1	2	256	1	100	192.168.0.0/24	\N	255.255.255.0
9	storage	1	2	256	1	101	192.168.1.0/24	\N	255.255.255.0
10	floating	3	3	256	1	\N	172.16.0.0/24	\N	255.255.255.0
11	public	3	3	256	1	\N	172.16.0.0/24	172.16.0.1	255.255.255.0
12	management	3	3	256	1	101	192.168.0.0/24	\N	255.255.255.0
13	storage	3	3	256	1	102	192.168.1.0/24	\N	255.255.255.0
14	fixed	3	3	256	1	103	10.0.0.0/16	10.0.0.1	255.255.0.0
\.


--
-- Data for Name: networks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networks (id, release, name, vlan_id, network_group_id, cidr, gateway) FROM stdin;
1	\N	fuelweb_admin	\N	1	10.20.0.0/24	\N
7	1	public	\N	7	172.16.0.0/24	172.16.0.1
8	1	management	100	8	192.168.0.0/24	\N
9	1	storage	101	9	192.168.1.0/24	\N
10	3	floating	\N	10	172.16.0.0/24	\N
11	3	public	\N	11	172.16.0.0/24	172.16.0.1
12	3	management	101	12	192.168.0.0/24	\N
13	3	storage	102	13	192.168.1.0/24	\N
14	3	fixed	103	14	10.0.0.0/24	10.0.0.1
\.


--
-- Data for Name: neutron_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_configs (id, cluster_id, parameters, "L2", "L3", predefined_networks, segmentation_type) FROM stdin;
1	2	{"database": {"username": null, "passwd": "", "provider": "mysql", "port": "3306", "database": null}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "metadata": {"metadata_proxy_shared_secret": ""}}	{"phys_nets": {"physnet2": {"bridge": "br-prv", "vlan_range": []}, "physnet1": {"bridge": "br-ex", "vlan_range": []}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": [2, 65535]}	{}	{"net04_ext": {"L3": {"nameservers": [], "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "floating": ["172.16.0.130", "172.16.0.254"]}}, "net04": {"L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "cidr": "192.168.111.0/24", "gateway": "192.168.111.1", "floating": []}}}	gre
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
4	4	[{"name": "sda", "free_space": 42268, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 42768}, {"name": "sdb", "free_space": 72268, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 72768}, {"name": "sdc", "free_space": 65036, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}]	{}
1	\N	[{"name": "sda", "free_space": 42140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19384}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 22884}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 42768}, {"name": "sdb", "free_space": 72140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 72204}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 72768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 19320, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3960}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 159868}], "type": "vg", "id": "image"}]	{}
2	2	[{"name": "sda", "free_space": 42140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19384}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 22884}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 42768}, {"name": "sdb", "free_space": 72140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 72204}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 72768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 19320, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3960}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 159868}], "type": "vg", "id": "image"}]	{}
3	3	[{"name": "sda", "free_space": 42140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19384}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 22884}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 42768}, {"name": "sdb", "free_space": 72140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 72204}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 72768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 64972}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 19320, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3960}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 159868}], "type": "vg", "id": "image"}]	{}
\.


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state) FROM stdin;
7	3	eth2	08:00:27:86:85:f6	\N	\N	172.16.0.3	255.255.255.0	unknown
8	3	eth1	08:00:27:c0:f3:65	\N	\N	\N	\N	unknown
9	3	eth0	08:00:27:1b:18:df	\N	\N	10.20.0.6	255.255.255.0	unknown
10	4	eth2	08:00:27:dd:c5:b4	\N	\N	\N	\N	unknown
11	4	eth1	08:00:27:8a:4f:d3	\N	\N	\N	\N	unknown
12	4	eth0	08:00:27:f3:0b:22	\N	\N	10.20.0.254	255.255.255.0	unknown
4	2	eth2	08:00:27:b6:96:d2	\N	\N	\N	\N	unknown
5	2	eth1	08:00:27:73:45:f4	\N	\N	\N	\N	unknown
6	2	eth0	08:00:27:1f:e2:f4	\N	\N	10.20.0.4	255.255.255.0	unknown
\.


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node) FROM stdin;
2	15	2
3	17	3
\.


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online) FROM stdin;
3	3	Untitled (18:DF)	deploying	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-3.domain.tld", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"name": "eth2", "ip": "172.16.0.3", "state": "unknown", "mac": "08:00:27:86:85:F6", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"mac": "08:00:27:C0:F3:65", "state": "unknown", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.20.0.6", "state": "unknown", "mac": "08:00:27:1B:18:DF", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "sdb", "name": "sdb", "size": 76302778368}, {"model": "VBOX HARDDISK", "disk": "sda", "name": "sda", "size": 44845498368}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Core(TM) i5-3470 CPU @ 3.20GHz", "frequency": 3201}]}, "memory": {"total": 4146479104}}	08:00:27:1b:18:df	10.20.0.6	node-3.domain.tld	VirtualBox	\N	63	ubuntu	f	f	\N	\N	2013-12-04 16:34:09.888233	t
4	\N	Untitled (0B:22)	discover	{"system": {"serial": "0", "version": "1.2", "fqdn": "bootstrap", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:DD:C5:B4", "max_speed": null, "state": "unknown", "current_speed": null, "name": "eth2"}, {"mac": "08:00:27:8A:4F:D3", "max_speed": null, "state": "unknown", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.254", "mac": "08:00:27:F3:0B:22", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 44845498368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 76302778368}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Core(TM) i5-3470 CPU @ 3.20GHz", "frequency": 3196}]}, "memory": {"total": 4152430592}}	08:00:27:f3:0b:22	10.20.0.254	\N	VirtualBox	\N	0	centos	f	f	\N	\N	2013-12-04 16:34:19.042466	t
2	2	Untitled (E2:F4)	deploying	{"system": {"serial": "0", "version": "1.2", "fqdn": "node-2.domain.tld", "family": "Virtual Machine", "manufacturer": "VirtualBox"}, "interfaces": [{"mac": "08:00:27:B6:96:D2", "max_speed": null, "state": "unknown", "current_speed": null, "name": "eth2"}, {"mac": "08:00:27:73:45:F4", "max_speed": null, "state": "unknown", "current_speed": null, "name": "eth1"}, {"name": "eth0", "state": "unknown", "ip": "10.20.0.4", "mac": "08:00:27:1F:E2:F4", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "name": "sdc", "size": 68719476736}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "name": "sdb", "size": 76302778368}, {"model": "VBOX HARDDISK", "disk": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "name": "sda", "size": 44845498368}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "Intel(R) Core(TM) i5-3470 CPU @ 3.20GHz", "frequency": 3197}]}, "memory": {"total": 4152430592}}	08:00:27:1f:e2:f4	10.20.0.4	node-2.domain.tld	VirtualBox	\N	86	centos	f	f	\N	\N	2013-12-04 16:34:29.682836	t
\.


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	read	2013-12-04 14:29:48.595709
3	\N	2	\N	discover	New node is discovered: 1 CPUs / 3.9 GB RAM / 0.189 TB HDD 	read	2013-12-04 14:34:05.660562
4	\N	3	\N	discover	New node is discovered: 1 CPUs / 3.9 GB RAM / 0.189 TB HDD 	read	2013-12-04 14:34:05.929569
2	\N	\N	\N	discover	New node is discovered: 1 CPUs / 3.9 GB RAM / 0.189 TB HDD 	read	2013-12-04 14:34:03.800704
5	\N	\N	\N	done	Successfully removed 1 node(s)	unread	2013-12-04 15:59:30.01886
6	\N	\N	\N	done	Environment 'test' and all its nodes are deleted	unread	2013-12-04 15:59:30.13434
7	\N	4	\N	discover	New node is discovered: 1 CPUs / 3.9 GB RAM / 0.189 TB HDD 	unread	2013-12-04 16:00:27.997955
\.


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node) FROM stdin;
\.


--
-- Data for Name: plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugins (id, type, name, state, version) FROM stdin;
\.


--
-- Data for Name: red_hat_accounts; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY red_hat_accounts (id, username, password, license_type, satellite, activation_key) FROM stdin;
\.


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata) FROM stdin;
1	Havana on CentOS 6.4	2013.2	This option will install the OpenStack Havana packages using CentOS as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"networks": [{"name": "floating", "notation": "ip_ranges", "render_type": "ip_ranges", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "render_addr_mask": null, "cidr": "172.16.0.0/24", "gateway": null, "use_gateway": false}, {"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "use_gateway": true}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.2", "192.168.0.254"], "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "gateway": null, "use_gateway": false}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.2", "192.168.1.254"], "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "gateway": null, "use_gateway": false}, {"network_size": 256, "name": "fixed", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "render_addr_mask": null, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1", "use_gateway": true}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "pool": ["172.16.0.0/24"], "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "use_gateway": false, "render_addr_mask": "internal", "pool": ["192.168.0.0/24"]}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "use_gateway": false, "render_addr_mask": "storage", "pool": ["192.168.1.0/24"]}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "rabbit_user": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"db_password": {"generator": "password"}}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "additional_components": {"murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": false, "label": ""}, "savanna": {"weight": 10, "type": "checkbox", "description": "If selected, Savanna component will be installed", "value": false, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"weight": 70, "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "value": "2", "label": "Ceph object replication factor"}, "volumes_ceph": {"weight": 20, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for volumes"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for images"}, "volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}, "objects_ceph": {"weight": 40, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "value": false, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "vlan_splinters": {"weight": 45, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "value": false, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL/Galera, RabbitMQ, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Ceph OSD", "description": "Ceph OSD is the object storage daemon for the Ceph distributed file system.  It is responsible for storing objects on a local file system and providing access to them over the network, for example to Glance."}}
2	RHOS 3.0 for RHEL 6.4	2013.1.2	This option will install the Red Hat Enterprise Linux OpenStack Platform using RHEL as a base operating system.  With high availability features built in, you are getting a robust enterprise-grade OpenStack deployment.	RHEL	not_available	{"nova_network": {"networks": [{"name": "floating", "notation": "ip_ranges", "render_type": "ip_ranges", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "render_addr_mask": null, "cidr": "172.16.0.0/24", "gateway": null, "use_gateway": false}, {"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "use_gateway": true}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.2", "192.168.0.254"], "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "gateway": null, "use_gateway": false}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.2", "192.168.1.254"], "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "gateway": null, "use_gateway": false}, {"network_size": 256, "name": "fixed", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "render_addr_mask": null, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1", "use_gateway": true}]}}	{"generated": {"base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "storage": {"osd_pool_size": "2", "volumes_ceph": false, "images_ceph": false, "volumes_lvm": true, "objects_ceph": false}, "murano": {"enabled": false}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"enabled": false}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "rhel-x86_64"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"enabled": false}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "storage": {"volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 80, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 60, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 70, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL, QPID, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}}
3	Havana on Ubuntu 12.04	2013.2	This option will install the OpenStack Havana packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"networks": [{"name": "floating", "notation": "ip_ranges", "render_type": "ip_ranges", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "render_addr_mask": null, "cidr": "172.16.0.0/24", "gateway": null, "use_gateway": false}, {"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "gateway": "172.16.0.1", "use_gateway": true}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.2", "192.168.0.254"], "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "gateway": null, "use_gateway": false}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.2", "192.168.1.254"], "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "gateway": null, "use_gateway": false}, {"network_size": 256, "name": "fixed", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "render_addr_mask": null, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1", "use_gateway": true}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "pool": ["172.16.0.0/24"], "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "use_gateway": false, "render_addr_mask": "internal", "pool": ["192.168.0.0/24"]}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "use_gateway": false, "render_addr_mask": "storage", "pool": ["192.168.1.0/24"]}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "rabbit_user": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"db_password": {"generator": "password"}}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "additional_components": {"murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": false, "label": ""}, "savanna": {"weight": 10, "type": "checkbox", "description": "If selected, Savanna component will be installed", "value": false, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"weight": 70, "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "value": "2", "label": "Ceph object replication factor"}, "volumes_ceph": {"weight": 20, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for volumes"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for images"}, "volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}, "objects_ceph": {"weight": 40, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "value": false, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 80, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 70, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "vlan_splinters": {"weight": 45, "type": "checkbox", "description": "Use VLAN splinters Open vSwitch method on necessary network interfaces", "value": false, "label": "Enable 'OVS VLAN splinters' feature (Neutron only)"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL/Galera, RabbitMQ, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Ceph OSD", "description": "Ceph OSD is the object storage daemon for the Ceph distributed file system.  It is responsible for storing objects on a local file system and providing access to them over the network, for example to Glance."}}
\.


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	controller
2	1	compute
3	1	cinder
4	1	ceph-osd
5	2	controller
6	2	compute
7	2	cinder
8	3	controller
9	3	compute
10	3	cinder
11	3	ceph-osd
12	\N	controller
13	\N	controller
14	\N	controller
15	\N	controller
16	\N	controller
17	\N	controller
\.


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
16	3	64b0ffc9-9767-4e35-8cd3-4eecaf369bad	deployment	\N	running	74	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "64b0ffc9-9767-4e35-8cd3-4eecaf369bad", "deployment_info": [{"management_interface": "eth2.101", "use_cow_images": true, "uid": "3", "floating_interface": "eth2", "storage_interface": "eth2.102", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "HmhhURre"}, "glance": {"image_cache_max_size": "16763374796", "user_password": "1yoVs1FJ", "db_password": "e5FLajnz"}, "public_interface": "eth2", "network_data": {"eth2.102": {"interface": "eth2.102", "ipaddr": ["192.168.1.3/24"]}, "eth2.103": {"interface": "eth2.103", "ipaddr": "none"}, "eth2.101": {"interface": "eth2.101", "ipaddr": ["192.168.0.3/24"]}, "lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth2": {"interface": "eth2", "ipaddr": ["172.16.0.3/24"], "gateway": "172.16.0.1"}, "eth1": {"interface": "eth1", "ipaddr": "none"}, "eth0": {"interface": "eth0", "ipaddr": ["10.20.0.6/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "xb24ITuR"}, "keystone": {"admin_password": "HxeOQWmx"}, "database": {"passwd": "iMdd08Iz"}}, "swift": {"user_password": "YLlKtlAu"}, "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": false, "volumes_ceph": false, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "BqYG08MH", "user_password": "NvIZQLsr", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 100, "murano": {"db_password": "PAThw5NK", "enabled": true}, "role": "controller", "vlan_splinters": false, "online": true, "keystone": {"db_password": "ccncvW5I", "admin_token": "d92G3cvI"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "172.16.0.3", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.3", "name": "node-3"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "pg5kKWUI", "enabled": true, "rabbit_user": "zsNvKWSY", "rabbit_password": "4RRj8cLz"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "h4v4lFnV"}, "ceilometer": {"db_password": "BTmQF6sj", "user_password": "RWcI8XmY", "metering_secret": "swfNMr5b", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "floating_network_range": ["172.16.0.128-172.16.0.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-3.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth2.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": false, "cinder": {"db_password": "a4qqGwDf", "user_password": "q4u1Jt3U"}, "deployment_id": 3, "savanna": {"db_password": "1vbD9w2E", "enabled": false}}]}}	{}	12	1
17	\N	d61c3c00-371a-41e4-b0d6-e1c6171d2680	dump	\N	running	0	{"respond_to": "dump_environment_resp", "method": "dump_environment", "args": {"task_uuid": "d61c3c00-371a-41e4-b0d6-e1c6171d2680", "lastdump": "/var/www/nailgun/dump/last"}}	{}	\N	1
10	2	aed1c65d-e140-4c9e-9586-4a66318bc805	provision	\N	ready	100	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "aed1c65d-e140-4c9e-9586-4a66318bc805", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "centos-x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "2", "interfaces": {"eth2": {"ip_address": "10.20.0.3", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:B6:96:D2"}, "eth1": {"ip_address": "10.20.0.5", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:73:45:F4"}, "eth0": {"ip_address": "10.20.0.4", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:1F:E2:F4"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:b6:96:d2_eth2,08:00:27:73:45:f4_eth1,08:00:27:1f:e2:f4_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.213", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 42140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 19384, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 22884, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 42768}, {"name": "sdb", "free_space": 72140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 72204, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 72768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 19320, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 3960, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 159868, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-2", "hostname": "node-2.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	7	1
15	3	194b0782-5c9b-4471-b443-4072ff26e1bb	provision	\N	ready	100	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "194b0782-5c9b-4471-b443-4072ff26e1bb", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "3", "interfaces": {"eth2": {"ip_address": "10.20.0.8", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:86:85:F6"}, "eth1": {"ip_address": "10.20.0.7", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:C0:F3:65"}, "eth0": {"ip_address": "10.20.0.6", "netmask": "255.255.255.0", "static": "0", "mac_address": "08:00:27:1B:18:DF"}}, "interfaces_extra": {"eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "08:00:27:86:85:f6_eth2,08:00:27:c0:f3:65_eth1,08:00:27:1b:18:df_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.20.0.155", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "sda", "free_space": 42140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 19384, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 22884, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-0:0:0:0", "size": 42768}, {"name": "sdb", "free_space": 72140, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 72204, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-1:0:0:0", "size": 72768}, {"name": "sdc", "free_space": 64908, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 64972, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0d.0-scsi-2:0:0:0", "size": 65536}, {"_allocate_size": "min", "label": "Base System", "min_size": 19320, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 3960, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 159868, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.20.0.2"}, "name": "node-3", "hostname": "node-3.domain.tld", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	12	1
11	2	a04de2b9-30fc-4c18-b9dc-2c81cae22c26	deployment	\N	running	90	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "a04de2b9-30fc-4c18-b9dc-2c81cae22c26", "deployment_info": [{"use_cow_images": true, "uid": "2", "management_vip": "192.168.0.2", "syslog": {"syslog_port": "514", "syslog_transport": "udp", "syslog_server": ""}, "libvirt_type": "qemu", "cobbler": {"profile": "centos-x86_64"}, "mysql": {"root_password": "7ml9FNbx"}, "quantum": true, "glance": {"image_cache_max_size": "16763374796", "user_password": "sraDmkRF", "db_password": "ttfrkW4W"}, "quantum_settings": {"database": {"passwd": "4HCEU872"}, "keystone": {"admin_password": "HLnyMnPI"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet2": {"bridge": "br-prv", "vlan_range": null}, "physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.0.0/24", "floating": "172.16.0.130:172.16.0.254", "gateway": "172.16.0.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": "physnet2", "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7PLt0kei"}}, "swift": {"user_password": "wHh1IlkZ"}, "storage": {"osd_pool_size": "2", "volumes_lvm": true, "images_ceph": false, "volumes_ceph": false, "objects_ceph": false}, "nova": {"db_password": "NB3U8m16", "user_password": "eEc9jlm9", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "murano": {"db_password": "RCVXIkKr", "enabled": true}, "role": "controller", "vlan_splinters": false, "online": true, "keystone": {"db_password": "ATh7lk1v", "admin_token": "Y9WJ742j"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "2", "public_address": "172.16.0.2", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "192.168.0.2", "storage_address": "192.168.1.2", "name": "node-2"}], "status": "discover", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-prv"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "eth0"}, "interfaces": {"eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-storage": {"IP": ["192.168.1.2/24"]}, "br-ex": {"IP": ["172.16.0.2/24"], "gateway": "172.16.0.1"}, "br-mgmt": {"IP": ["192.168.0.2/24"]}, "eth0": {"IP": ["10.20.0.4/24"]}}}, "heat": {"db_password": "OqdTjrsI", "enabled": true, "rabbit_user": "MbrIY8el", "rabbit_password": "V0InuNgN"}, "auto_assign_floating_ip": false, "start_guests_on_host_boot": true, "rabbit": {"password": "NBgRhVcF"}, "ceilometer": {"db_password": "EAF2y3MN", "user_password": "BnDid4Wn", "metering_secret": "ZiYVAiH0", "enabled": false}, "management_network_range": "192.168.0.0/24", "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "storage_network_range": "192.168.1.0/24", "auth_key": "", "fqdn": "node-2.domain.tld", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "deployment_mode": "multinode", "debug": false, "cinder": {"db_password": "zDqesMxo", "user_password": "2bvpe8IW"}, "deployment_id": 2, "savanna": {"db_password": "W5W2qVPe", "enabled": false}, "priority": 100}]}}	{}	7	1
7	2	585c41bb-8149-4171-bbb5-d37ad8925f57	deploy	\N	running	95	{}	{}	\N	1
12	3	a545e543-11f2-4ba1-ba42-cc6a9f7629c8	deploy	\N	running	87	{}	{}	\N	1
\.


--
-- Data for Name: vlan; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY vlan (id) FROM stdin;
100
101
102
103
\.


--
-- Name: allowed_networks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_pkey PRIMARY KEY (id);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: global_parameters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY global_parameters
    ADD CONSTRAINT global_parameters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: net_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networks
    ADD CONSTRAINT networks_pkey PRIMARY KEY (id);


--
-- Name: neutron_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_configs
    ADD CONSTRAINT neutron_configs_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: plugins_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_name_key UNIQUE (name);


--
-- Name: plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_pkey PRIMARY KEY (id);


--
-- Name: red_hat_accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY red_hat_accounts
    ADD CONSTRAINT red_hat_accounts_pkey PRIMARY KEY (id);


--
-- Name: releases_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: vlan_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY vlan
    ADD CONSTRAINT vlan_pkey PRIMARY KEY (id);


--
-- Name: allowed_networks_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: allowed_networks_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES networks(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networks_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networks
    ADD CONSTRAINT networks_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: networks_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networks
    ADD CONSTRAINT networks_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networks_vlan_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networks
    ADD CONSTRAINT networks_vlan_id_fkey FOREIGN KEY (vlan_id) REFERENCES vlan(id);


--
-- Name: neutron_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_configs
    ADD CONSTRAINT neutron_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

